Name:          mambabase
Version:       1.6.2
Release:       1mamba
Summary:       Tool to install distribution basic and additional components
Group:         Graphical Desktop/Applications/Administration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.mambasoft.it/openmamba/mambabase
Source:        https://gitlab.mambasoft.it/openmamba/mambabase/v%{version}/mambabase-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      desktop-base-openmamba
Requires:      openmamba-icons
Requires:      PyQt6-py3
Requires:      python-sip-py3
Requires:      pygobject-py3
Requires:      python-distro-py3
Requires:      qt6-qttranslations
Requires:      netsrpms

%description
Tool to install distribution basic and additional components.

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --with-qt --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/mambabase
%{_datadir}/applications/mambabase.desktop
%dir %{_datadir}/mambabase
%{_datadir}/mambabase/*
%doc AUTHORS COPYING

%changelog
* Sat Sep 21 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-1mamba
- update to 1.6.2

* Tue Aug 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Tue Jun 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- update to 1.6

* Sat Oct 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1mamba
- update to 1.5

* Tue Aug 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- update to 1.4

* Sat Jun 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Sun Jun 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- update to 1.2

* Sun Jun 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- update to 1.1

* Sat Jun 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created by autospec
